Skip to main content
`Ctrl`+`K`

# MatPartitioningPartySetGlobal

Set global method for Party partitioner.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningPartySetGlobal(MatPartitioning part, const char *global)

Collective

## Input Parameters

- part - the partitioning context

- global - a string representing the method

## Options Database Key

- -mat_partitioning_party_global <method> - the global method

## Note

The method may be one of `MP_PARTY_OPT`, `MP_PARTY_LIN`, `MP_PARTY_SCA`, `MP_PARTY_RAN`, `MP_PARTY_GBF`, `MP_PARTY_GCF`, `MP_PARTY_BUB` or `MP_PARTY_DEF`, or alternatively a string describing the method. Two or more methods can be combined like “gbf,gcf”. Check the Party Library Users Manual for details.

## Developer Note

Should be `MatPartitioningPartySetGlobalType()` and all uses of method should be changed to type

## See Also

`MATPARTITIONINGPARTY`, `MatPartitioningPartySetLocal()`

## Level

advanced

## Location

src/mat/graphops/partition/impls/party/party.c

## Implementations

MatPartitioningPartySetGlobal_Party() in src/mat/graphops/partition/impls/party/party.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages